# This is a simple python wordcount example
from pyflink.datastream import StreamExecutionEnvironment
from pyflink.datastream.functions import FlatMapFunction
from pyflink.common import Types

class Tokenizer(FlatMapFunction):
    def flat_map(self, value):
        for word in value.split():
            yield word
            
def word_count():
    # Create execution environment
    env = StreamExecutionEnvironment.get_execution_environment()

    # Sample input data
    input_data = ['hello world', 'hello flink', 'hello pyflink']

    # Create a stream from input data
    stream = env.from_collection(input_data)

    # Tokenize and count words
    word_count_stream = stream \
                         .flat_map(Tokenizer(), output_type=Types.STRING()) \
                         .map(lambda word: (word, 1), output_type=Types.TUPLE([Types.STRING(), Types.INT()])) \
                         .key_by(lambda x: x[0]) \
                         .sum(1)

    # Print the result to standard output
    word_count_stream.print()

    # Execute the job
    env.execute("WordCount Example")

if __name__ == '__main__':
    word_count()